package net.northking.cctp.element.mobile.ios.entity;


public class PointMessage {
    private int x;
    private int y;
    private boolean exchange;   //是否转换屏幕比例
    private int xMove = 0;
    private int yMove = 0;
    private int scale = 1;  //屏幕缩放比

    public PointMessage(int x, int y, boolean exchange) {
        this.x = x;
        this.y = y;
        this.exchange = exchange;
    }

    public PointMessage() {
    }

    public void setxMove(int xMove) {
        this.xMove = xMove;
    }

    public void setyMove(int yMove) {
        this.yMove = yMove;
    }

    public int getxMove() {
        return xMove;
    }

    public int getyMove() {
        return yMove;
    }

    public boolean isExchange() {
        return exchange;
    }

    public void setExchange(boolean exchange) {
        this.exchange = exchange;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public int getScale() {
        return scale;
    }

    public void setScale(int scale) {
        this.scale = scale;
    }
}
